## ros-kinetic-pepper-gazebo-plugin 0.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pepper_gazebo_plugin)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY launch worlds
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-pepper-gazebo-plugin (0.0.4-0xenial) xenial; urgency=high

  * Merge pull request #13 <https://github.com/ros-naoqi/pepper_virtual/issues/13> from nlyubova/master
    updating README
  * removing ros-indigo-humanoid-nav-msgs from README
  * updating README
  * Update README.rst
  * Merge pull request #9 <https://github.com/ros-naoqi/pepper_virtual/issues/9> from ros-naoqi/mikaelarguedas-clone-using-https-in-readme
    [pepper_gazebo_plugin/README.rst] clone using https
  * [pepper_gazebo_plugin/README.rst] clone using https
  * Merge pull request #5 <https://github.com/ros-naoqi/pepper_virtual/issues/5> from kochigami/add-trajectory-all
    [pepper_gazebo_plugin] enable to launch pepper_control_position_all.launch
  * [pepper_gazebo_plugin] enable to launch pepper_control_position_all.launch
  * Contributors: Kanae Kochigami, Mikael Arguedas, Natalia Lyubova

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Wed, 15 Nov 2017 23:00:00 -0000

ros-kinetic-pepper-gazebo-plugin (0.0.3-0xenial) xenial; urgency=high

  * Update README.rst
  * Update package.xml
  * [doc] Add note for the dependency that needs manually added.
  * Contributors: Isaac I.Y. Saito, Natalia Lyubova

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Mon, 19 Sep 2016 22:00:00 -0000

ros-kinetic-pepper-gazebo-plugin (0.0.2-0xenial) xenial; urgency=high

  * fixing install in CMakeLists
  * updating README
  * Contributors: nlyubova

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Tue, 05 Jul 2016 22:00:00 -0000

ros-kinetic-pepper-gazebo-plugin (0.0.1-0xenial) xenial; urgency=high

  * moving pepper_gazebo_plugin to pepper_virtual
  * updating the dependency on pepper_dcm_control
  * updating README
  * updating the dependency on pepper_dcm_control package
  * removing unused launch file
  * initial commit
  * Contributors: nlyubova

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Tue, 05 Jul 2016 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-pepper-gazebo-plugin
Section: misc
Priority: extra
Maintainer: Natalia Lyubova <natalia.lyubova@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-gazebo-ros, ros-kinetic-pepper-description
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-pepper-gazebo-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-gazebo-plugins, ros-kinetic-gazebo-ros, ros-kinetic-gazebo-ros-control, ros-kinetic-pepper-control, ros-kinetic-pepper-description, ros-kinetic-ros-control, ros-kinetic-ros-controllers
Description: Gazebo plugin for Pepper robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-pepper-gazebo-plugin//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
